﻿@{
    ViewBag.Title = "Index";
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Redeem</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.RedeemHistory.Index())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>View History</div>
            </a>
        </li>
       @* <li>
            <a href="@Url.Action(MVC.Redeem.Add())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add Redeem</div>
            </a>
        </li>*@
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All Redeem</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachRedeem", Redeem = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllRedeem")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllRedeem';
            var pagingUrl = '@Url.Action(MVC.Redeem.GridGetAllRedeemPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachRedeem')
            });
        }())


        function VoidRedeem(val) {
            _url = '@Url.Action(MVC.Redeem.Void("99VOIDCODE99"))';
            _url = _url.replace("99VOIDCODE99", val);
            $.ajax({
                url: _url,
                timeout: 30000,
                success: function (msg) {
                    if (msg.Issuccess)
                    {
                        alert("Void Success");
                        location.reload();
                    }
                    else
                        alert(msg.Message);
                },
                error: function (jqXHR, textStatus) {
                    alert('Error Occured'); //MESSAGE
                }
            })
        }
    </script>
}